Report Request
curl --request POST \
--url https://api.kycaml.frankiefinancial.io/v2/organizations/{entityId}/reports \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>'import requests
url = "https://api.kycaml.frankiefinancial.io/v2/organizations/{entityId}/reports"
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'X-Frankie-CustomerID': '<x-frankie-customerid>'}
};
fetch('https://api.kycaml.frankiefinancial.io/v2/organizations/{entityId}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"reportId": "<string>",
"href": "<string>"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}Reports
Report Request
This is a Frankie-made report based on the current information available for the entity ID.
Reports include:
- profile
- ownership
POST
/
v2
/
organizations
/
{entityId}
/
reports
Report Request
Authorizations
Headers
Your API key provided by FrankieOne
Example:
"245c765b124a098d09ef8765...."
Your Customer ID provided by FrankieOne
Example:
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
Example:
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Path Parameters
Unique FrankieOne identifier for an entity
Query Parameters
Specifies the report you wish to run.
Available options:
PROFILE, OWNERSHIP Was this page helpful?